# List tax system health records Returns System Health Electronic records that are generated by your Zuora tenant within a specified time range. You can filter the failure records by one or multiple of the following fields: - vendorName - eventType - status Endpoint: GET /system-health/tax/details Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. - `vendorName` (string) Filters the records by vendor name. - `eventType` (string) Filters the tax records by event type. - `status` (string) Filters the tax records by status. - `sort` (string) This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: operator field_name. If you do not specify any sortable field, the response data is sorted by the timerange field in descending order. operator is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The - operator indicates an ascending order. - The + operator indicates a descending order. field_name indicates the name of a sortable field. The supported sortable fields of this operation are as below: - timestamp - total_duration - vendor_duration - status - document_number Example: "sort=-total_duration" - `startTime` (string, required) Start time of the volume summary. Format: yyyy-MM-dd'T'HH:mmZ Example: 2022-09-22T09:07+0800. - `endTime` (string, required) End time of the volume summary. Format: yyyy-MM-dd'T'HH:mmZ Example: 2022-09-22T09:07+0800. ## Response 200 fields (application/json): - `data` (array) List of tax record details. - `data.error_message` (string) A detailed error message, if any, associated with the transaction or event. - `data.document_number` (string) The document number associated with the transaction, such as an invoice number. - `data.vendor_name` (string) The name of the vendor involved in the transaction. - `data.event_source` (string) The source of the event, such as a third-party service or system. - `data.error_category` (string) The main category of the error, if applicable. - `data.account_id` (string) The unique identifier for the account involved in the event or transaction. - `data.event_type` (string) The type of event, such as tax generation or another action. - `data.total_duration` (integer) The total time taken to process the event or transaction, in milliseconds. - `data.zuora_request_id` (string) A unique identifier for the request to the Zuora system. - `data.account_name` (string) The name of the account associated with the event or transaction. - `data.vendor_duration` (number) The time taken by the vendor to process the request, in milliseconds. - `data.sub_error_category` (string) A more specific subcategory of the error, if applicable. - `data.status` (string) The current status of the event or transaction. Enum: "success", "error" - `data.timestamp` (string) The timestamp of the event or transaction in ISO 8601 format. - `nextPage` (string) URL to the next page of results for pagination. ## Response 400 fields (application/json): - `error` (string) Error status text. - `message` (string) The associated reason. - `path` (string) The system health api path having error. - `status` (integer) Error status code. - `timestamp` (string) The time when error happens.